Beta Ramps API
Pool

Get Pool Wallets By Wallet Id

GET
/pool/wallets/{wallet_id}

Authorization

headerAuthorizationBearer <token>

Scope: pool-wallets:read

Path Parameters

wallet_id*string

Response Body

The pool wallet.

application/json
  1. response

An account-level pool wallet (pool_balance). Has no subaccount. Internal provider/AML fields are omitted from the public API.

id*string

Wallet ID (wal_…).

account_id*string

Owning account ID (acc_…).

asset*string
network*string
address*string
address_tag?string

Memo / destination tag, when set.

wallet_type*"pool_balance"
Value in"pool_balance"
wallet_short_description?string
is_active*boolean
autoexchange*boolean
autoexchange_destination_bank_account_id?string

Destination bank account for auto-exchange, when configured.

created_at*string
Formatdate-time
updated_at*string
Formatdate-time
Example Request
curl -X GET 'https://api.betaramps.com/pool/wallets/string'
Example Response
{  "id": "wal_0192f4e6-1a2b-7c3d-8e4f-5a6b7c8d9e01",  "account_id": "acc_0192f4e0-1a2b-7c3d-8e4f-5a6b7c8d9e01",  "asset": "USDT",  "network": "tron",  "address": "TR7NHqJeYQxXgjUbi9y7GnKJkMofT4zzNF",  "wallet_type": "pool_balance",  "is_active": true,  "autoexchange": false,  "created_at": "2026-10-30T12:00:00Z",  "updated_at": "2026-10-30T12:00:00Z"}